package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CompanyPaymentInfo;
import com.jpsoft.shinestar.modules.business.entity.BillPush;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-4-14 11:19
 */
public interface CompanyPaymentInfoService {

    CompanyPaymentInfo get(Long id);

    CompanyPaymentInfo findByCompanyId(String companyId);

    List<CompanyPaymentInfo> findListByCompanyId(String companyId);

    int insert(CompanyPaymentInfo companyPaymentInfo);

    int update(CompanyPaymentInfo companyPaymentInfo);

    Page<CompanyPaymentInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<CompanyPaymentInfo> list();

    List<CompanyPaymentInfo> findByFinancePersonId(Long personId);

    void createDelayedNotPayBill(BillPush billPush);
}
